> For the complete documentation index, see [llms.txt](https://docs.nuvolos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvolos.com/reference/data-storage/accessing-data-as-data.frames-in-r.md).

# Accessing data as data.frames in R

If you are not keen on using SQL syntax and your database setup is fairly straightforward, there is no need to write queries in SQL to get data into your R application. The `dbplyr` package lets you write your package in `tidyverse` friendly syntax, please refer to the package vignette [here](https://dbplyr.tidyverse.org/).

In order to use `dbplyr` you need to take the following steps:

1. Install the `dbplyr` package by typing `install.packages("dbplyr")` into your R shell.
2. Once you've installed the package, you can use the `nuvolos::get_connection()` call to obtain a connection that you can feed to `tbl`.

As an example, the following code queries the `test` database table, selects two columns and filters for records where `V2 > 0`.

```r
con <- nuvolos::get_connection()
data <- dplyr::tbl(con, "test")
data %>% dplyr::select(V1, V2) %>% dplyr::filter(V2 > 0)
```

The equivalent SQL statement would be:

```sql
SELECT V1, V2 FROM "test"
WHERE V2 > 0;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuvolos.com/reference/data-storage/accessing-data-as-data.frames-in-r.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
